### Hierarchy

- unknown
  - RegisterDisputeAgentRequest

## Index

### Constructors

- constructor

### Methods

- getDisputeAgentType
- getRegistrationKey
- serializeBinary
- setDisputeAgentType
- setRegistrationKey
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new RegisterDisputeAgentRequest(): RegisterDisputeAgentRequest

- Inherited from jspb.Message.constructor

  #### Returns RegisterDisputeAgentRequest

## Methods

### getDisputeAgentType

- getDisputeAgentType(): string

- - Defined in src/protobuf/grpc_pb.d.ts:597

  #### Returns string

### getRegistrationKey

- getRegistrationKey(): string

- - Defined in src/protobuf/grpc_pb.d.ts:600

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:603

  #### Returns Uint8Array

### setDisputeAgentType

- setDisputeAgentType(value: string): RegisterDisputeAgentRequest

- - Defined in src/protobuf/grpc_pb.d.ts:598

  #### Parameters

  - ##### value: string

  #### Returns RegisterDisputeAgentRequest

### setRegistrationKey

- setRegistrationKey(value: string): RegisterDisputeAgentRequest

- - Defined in src/protobuf/grpc_pb.d.ts:601

  #### Parameters

  - ##### value: string

  #### Returns RegisterDisputeAgentRequest

### toObject

- toObject(includeInstance?: boolean): RegisterDisputeAgentRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:604

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns RegisterDisputeAgentRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): RegisterDisputeAgentRequest

- - Defined in src/protobuf/grpc_pb.d.ts:607

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RegisterDisputeAgentRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RegisterDisputeAgentRequest, reader: BinaryReader): RegisterDisputeAgentRequest

- - Defined in src/protobuf/grpc_pb.d.ts:608

  #### Parameters

  - ##### message: RegisterDisputeAgentRequest

  - ##### reader: BinaryReader

  #### Returns RegisterDisputeAgentRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: RegisterDisputeAgentRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:606

  #### Parameters

  - ##### message: RegisterDisputeAgentRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: RegisterDisputeAgentRequest ): RegisterDisputeAgentRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:605

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RegisterDisputeAgentRequest

  #### Returns RegisterDisputeAgentRequest . AsObject

Generated using TypeDoc